﻿@model Prep.Models.TestQuestionSearchModel

<style type="text/css">
    .inline {
        display: inline-block;
    }

    span.select {
        position: relative;
        display: inline-block;
        height: 32px;
        width: 320px;
        border: 1px solid #ccc;
        border-radius: 3px;
        background: #fff;
        cursor: pointer;
    }

    select {
        width: 320px;
    }
</style>
<script src="/Scripts/jquery-1.10.2.js"></script>
<script type="text/javascript">

    @*@if (ViewBag.ddTopic != null)
    {
        alert("@ViewBag.Message");
    }

    @if (ViewBag.ddDifficulty != null)
    {
        alert("@ViewBag.Message");
    }*@

    $(document).ready(function () {
        $.ajaxSetup({
            async: false
        });

        $('#ddlSubjects').change(function () {

            GetTopicBySubjectId();
        });

        if ($('#ddlSubjects').val() != '') {

            GetTopicBySubjectId();
        }
    });


    function GetTopicBySubjectId() {

        var selectedSubject = $('#ddlSubjects').val();
        if (selectedSubject != null && selectedSubject != '') {
            $.getJSON('/Admin/GetTopics', { subjectId: selectedSubject }, function (topics) {
                var topicsSelect = $('#ddlTopics');
                topicsSelect.empty();

                topicsSelect.append($('<option/>', {
                    value: 0,
                    text: '-- Select Test Topic--'
                }));
                $.each(topics, function (index, topic) {
                    topicsSelect.append($('<option/>', {
                        value: topic.TestTopicsId,
                        text: topic.TestTopicsName
                    }));
                });
                $("#ddlTopics").val('0').change();
            });
        }
    }
</script>

@*@if (ViewBag.ddSubject != null)
    {
        <script type="text/javascript">
            alert("@ViewBag.ddSubject");
        </script>
    }*@

<script type="text/javascript">
    window.onload = function () {
        $('#txtSearch').val('@ViewBag.questionSearch').change();
        $('#SearchType').val('@ViewBag.searchType').change();
    };
</script>

@if (ViewBag.ddTopic != 0)
{
<script type="text/javascript">
    window.onload = function () {
        GetTopicBySubjectId();
            $('#ddlTopics').val('@ViewBag.ddTopic').change();
        $('#txtSearch').val('@ViewBag.questionSearch').change();
        $('#SearchType').val('@ViewBag.searchType').change();

        };
</script>
}

@*@if (ViewBag.ddDifficulty != null)
    {
        <script type="text/javascript">
            alert("@ViewBag.ddDifficulty");
        </script>
    }*@
<div>
    @*@Html.ValidationSummary(true, "")*@
    <div class="inline">
        @Html.LabelFor(model => model.TestQuestionSubjects)
        <div class="inline">
            @Html.DropDownListFor(x => x.SelectedTestQuestionSubjectId,
                          new SelectList(Model.TestQuestionSubjects, "TestQuestionsSubjectId", "TestQuestionsSubject"), "-- Select Test Subject--", new { @class = "soflow", @id = "ddlSubjects" })
            @Html.ValidationMessageFor(x => x.SelectedTestQuestionSubjectId)
        </div>
    </div>

    <div class="inline">
        @Html.LabelFor(model => model.TestTopic)
        <div class="inline">

            @Html.DropDownListFor(x => x.SelectedTestTopicId,
                          new SelectList(Model.TestTopic, "TestTopicsId", "TestTopicsName"), "-- Select Test Topic--", new { @class = "soflow", @id = "ddlTopics" })
            @Html.ValidationMessageFor(x => x.SelectedTestTopicId)
        </div>
    </div>

    <div class="inline">
        @Html.LabelFor(model => model.TestDifficulty)
        <div class="inline">

            @Html.DropDownListFor(x => x.SelectedTestDifficultyId,
                          new SelectList(Model.TestDifficulty, "TestDifficultyId", "TestDifficultyName"), "-- Select Test Difficulty--", new { @class = "soflow", @id = "ddlDifficulty" })
            @Html.ValidationMessageFor(x => x.SelectedTestDifficultyId)
        </div>
    </div>
    <div class="inline">
        Search IN
        <div class="inline">
            <select name="SearchType" id="SearchType">
                <option value="1">Question</option>
                <option value="2">Image</option>
            </select>
        </div>
    </div>

    <div class="inline">
        Search For
        <div class="inline">
            <input class="FormInput text-box single-line" id="txtSearch" name="Search" type="text" style="width:300px" />
        </div>
    </div>


    <input type="submit" value="Search" class="search-button" />
</div>